# Website

This website is built using [Docusaurus 2](https://docusaurus.io/), a modern static website generator.

## Installation

```console
yarn install
```

## Local Development

```console
yarn start
```

This command starts a local development server and opens up a browser window. Most changes are reflected live without having to restart the server.

## Build

```console
yarn build
```

This command generates static content into the `build` directory and can be served using any static contents hosting service.

## Deployment

```console
GIT_USER=<Your GitHub username> USE_SSH=true yarn deploy
```

If you are using GitHub pages for hosting, this command is a convenient way to build the website and push to the `gh-pages` branch.

## Create a new page

We have two different ways to create a new page, in JavaScript, or, in Markdown: 

- If we don't need a specific layout, we recommend to create a page in Markdown, with `.md` extention.
- If we need to specific layout, create a page in JavaScript with `.js` extention.

This offers a better return on investment because the Markdown (`.md`) is faster to do.

