import React from "react";
import clsx from "clsx";
import styles from "./HomepageFeatures.module.css";

const FeatureList = [
  {
    title: "Sûr",
    // eslint-disable-next-line
		Svg: require("../../static/img/bouclier.svg").default,
    description: (
      <>
        <p>Vos données sont en lieu sûr et sauvegardées toutes les nuits.</p>
      </>
    ),
  },
  {
    title: "Souverain",
    // eslint-disable-next-line
		Svg: require("../../static/img/rgpd.svg").default,
    description: (
      <>
        <p>Nous sommes hébergés en France et conformes au RGPD.</p>
      </>
    ),
  },
  {
    // eslint-disable-next-line
		title: "Libre",
    // eslint-disable-next-line
		Svg: require("../../static/img/liberte.svg").default,
    description: (
      <>
        <p>Notre solution s&apos;appuie sur des logiciels libres et nos conditions générales sont éthiques.</p>
      </>
    ),
  },
];

// eslint-disable-next-line
function Feature({Svg, title, description}) {
  return (
    <div className={clsx("col col--4")}>
      <div className="text--center">
        <Svg className={styles.featureSvg} alt={title} />
      </div>
      <div className="text--center padding-horiz--md">
        <h3>{title}</h3>
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function HomepageFeatures() {
  return (
    <section className={styles.features}>
      <div className="container">
        <div className="row">
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
